Security Enhanced Linux Reference Policy

# Layer: services

## Module: nslcd

Interfaces

### Description:

Local LDAP name service daemon.

### Interfaces:

nslcd_admin( domain , role )

##### Summary

All of the rules required to administrate an nslcd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

nslcd_domtrans( domain )

##### Summary

Execute a domain transition to run nslcd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

nslcd_initrc_domtrans( domain )

##### Summary

Execute nslcd server in the nslcd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

nslcd_read_pid_files( domain )

##### Summary

Read nslcd pid files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nslcd_stream_connect( domain )

##### Summary

Connect to nslcd over an unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return